Every check of a domain's latest technical audit, with what was found and how to fix it
curl --request GET \
--url https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks \
--header 'X-API-KEY: <api-key>'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>"
},
"sections": [
{
"key": "reach",
"title": "<string>",
"checks": [
{
"section": "reach",
"title": "<string>",
"type": "technical",
"channel": "website",
"priority": "high",
"status": "good",
"affected_count": 123,
"total_count": 123,
"change": "new",
"why": "<string>",
"explanation": {
"what": "<string>",
"expectation": "<string>",
"how_to_fix": "<string>",
"passed": "<string>"
},
"dismissed": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"by": "<string>",
"at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"dismissed_pages": 123,
"part_of": "access.ai_bots",
"key": "access.ai_bot.oai_searchbot",
"evidence": {
"note": "<string>",
"found": "<string>",
"fix": "<string>",
"check_finding": {
"found": "<string>",
"fix": "<string>",
"snippet": "<string>"
},
"bot": "<string>",
"company": "<string>",
"purpose": "<string>",
"product": "<string>",
"role": "search",
"site": "<string>",
"allowed": true,
"group": "<string>",
"line_number": 123,
"rule": "<string>"
}
}
]
}
],
"robots_txt": {
"url": "<string>",
"final_url": "<string>",
"status": 123,
"body": "<string>"
},
"reason_labels": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Technical audit
Every check of a domain's latest technical audit, with what was found and how to fix it
GET
/
api
/
v2
/
brands
/
{brand_id}
/
technical_audit
/
checks
Every check of a domain's latest technical audit, with what was found and how to fix it
curl --request GET \
--url https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks \
--header 'X-API-KEY: <api-key>'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cognizo.ai/api/v2/brands/{brand_id}/technical_audit/checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>"
},
"sections": [
{
"key": "reach",
"title": "<string>",
"checks": [
{
"section": "reach",
"title": "<string>",
"type": "technical",
"channel": "website",
"priority": "high",
"status": "good",
"affected_count": 123,
"total_count": 123,
"change": "new",
"why": "<string>",
"explanation": {
"what": "<string>",
"expectation": "<string>",
"how_to_fix": "<string>",
"passed": "<string>"
},
"dismissed": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"by": "<string>",
"at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"dismissed_pages": 123,
"part_of": "access.ai_bots",
"key": "access.ai_bot.oai_searchbot",
"evidence": {
"note": "<string>",
"found": "<string>",
"fix": "<string>",
"check_finding": {
"found": "<string>",
"fix": "<string>",
"snippet": "<string>"
},
"bot": "<string>",
"company": "<string>",
"purpose": "<string>",
"product": "<string>",
"role": "search",
"site": "<string>",
"allowed": true,
"group": "<string>",
"line_number": 123,
"rule": "<string>"
}
}
]
}
],
"robots_txt": {
"url": "<string>",
"final_url": "<string>",
"status": 123,
"body": "<string>"
},
"reason_labels": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Path Parameters
Query Parameters
Response
sections in order; rows missing → partial → good → not applicable, then by priority. Reach carries the AI assistants row (access.ai_bots) and, part_of it, one row per AI crawler
Show child attributes
Show child attributes

